Skip to content

TransactionsService⁠

Perform transactions.

Operations⁠

reversePayBill⁠

POST

Reverses a bill payment transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptionalIdentifies the account affected by the transaction.
IdstringoptionalThe ID of the Share record (if the ID Type field is set to 0) or the Loan record (if the ID Type field is set to 1) affected by the transaction.
IdTypestringoptionalWhether the transaction affected a Share or Loan record.
PaymentAmountnumber · floatoptionalThe payment amount.
CheckIssuerstringoptionalThe check issuer type.
CommentstringoptionalThe text of a comment transaction.
AuthorizationTypestringoptionalThe transaction authorization type.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
RegulationDLimitedbooleanoptionalWhether transaction is limited to Reg D.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
PartialReversalRequestedbooleanoptionalWhether a partial reversal was requested.
OriginalTotalAmountnumber · floatoptionalThe original total amount.
OriginalConfirmationstringoptionalThe original confirmation.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
POST/nexum/{sym}/2022.01/transactions/reversePayBill
POST /nexum/627/2022.01/transactions/reversePayBill HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "Id": "string",
  "IdType": "string",
  "PaymentAmount": 0,
  "CheckIssuer": "string",
  "Comment": "string",
  "GLAccounts": {
    "ClearingAccount": "string",
    "CheckDisbursedAccount": "string",
    "ExternalAccount": "string"
  },
  "GLCodes": {
    "ClearingCode": 0,
    "CheckDisbursedCode": 0,
    "ExternalCode": 0
  },
  "AuthorizationType": "string",
  "ForcePostRequested": true,
  "SourceCode": "string",
  "EffectiveDate": "string",
  "CommentCode": 0,
  "RegulationDLimited": true,
  "RecurrenceRequested": true,
  "GLComment": "string",
  "PartialReversalRequested": true,
  "OriginalTotalAmount": 0,
  "OriginalConfirmation": "string"
}

reverseWithdrawFee⁠

POST

Reverses a withdrawal fee transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredIdentifies the account affected by the transaction.
DonorIdstringoptionalThe donor ID.
DonorTypestringoptionalThe donor type.
TotalAmountnumber · floatoptionalThe total amount.
AuthorizationTypestringoptionalThe transaction authorization type.
FeeCodeintegeroptionalThe fee code for a transaction.
CommentstringoptionalThe text of a comment transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
SourceCodestringoptionalThe source of the transaction.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
PartialReversalRequestedbooleanoptionalWhether a partial reversal was requested.
OriginalTotalAmountnumber · floatoptionalThe original total amount.
OriginalConfirmationstringoptionalThe original confirmation.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
POST/nexum/{sym}/2022.01/transactions/reverseWithdrawFee
POST /nexum/627/2022.01/transactions/reverseWithdrawFee HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "DonorId": "0",
  "DonorType": "string",
  "TotalAmount": "string",
  "FeeCode": 0,
  "Comment": "string",
  "SourceCode": "string",
  "ForcePostRequested": true,
  "PartialReversalRequested": false,
  "OriginalTotalAmount": "string",
  "OriginalConfirmation": "0",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

reverseTransfer⁠

POST

Reverses a funds transfer transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DonorAccountNumberstringrequiredThe donor account number.
DonorIdstringrequiredThe donor ID.
DonorTypestringrequiredThe donor type.
RecipientAccountNumberstringrequiredThe recipient account number.
RecipientIdstringrequiredThe recipient ID.
RecipientTypestringrequiredThe recipient type.
TransferAmountnumber · floatoptionalThe transfer amount.
CommentstringoptionalThe text of a comment transaction.
AuthorizationTypestringoptionalThe transaction authorization type.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
PrincipalAmountnumber · floatoptionalThe principal amount.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
LoanPaymentTypestringoptionalThe loan payment type.
RegulationDLimitedbooleanoptionalWhether transaction is limited to Reg D.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
PartialReversalRequestedbooleanoptionalWhether a partial reversal was requested.
OriginalTotalAmountnumber · floatoptionalThe original total amount.
OriginalConfirmationstringoptionalThe original confirmation.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
POST/nexum/{sym}/2022.01/transactions/reverseTransfer
POST /nexum/627/2022.01/transactions/reverseTransfer HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DonorAccountNumber": "0000000000",
  "DonorId": "0",
  "DonorType": "string",
  "RecipientAccountNumber": "0000000000",
  "RecipientId": "0",
  "RecipientType": "string",
  "TransferAmount": "string",
  "Comment": "string",
  "SourceCode": "string",
  "ForcePostRequested": true,
  "PartialReversalRequested": false,
  "OriginalTotalAmount": "string",
  "OriginalConfirmation": "0",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

reverseLoanAddon⁠

POST

Reverses a loan addon transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptionalIdentifies the account affected by the transaction.
IdTypestringoptionalWhether the transaction affected a Share or Loan record.
LoanIdstringoptionalThe loan ID.
CheckNumberstringoptionalThe check number.
CheckIssuerstringoptionalThe check issuer type.
CommentstringoptionalThe text of a comment transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
AuthorizationTypestringoptionalThe transaction authorization type.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
SourceCodestringoptionalThe source of the transaction.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
TracerNumberstringoptionalThe tracer number.
DraftNumberstringoptionalThe draft number.
CalculateCheckbooleanoptionalWhether to calculate a check.
GLCommentstringoptionalThe text of a GL transaction.
PartialReversalRequestedbooleanoptionalWhether a partial reversal was requested.
OriginalTotalAmountnumber · floatoptionalThe original total amount.
OriginalConfirmationstringoptionalThe original confirmation.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
POST/nexum/{sym}/2022.01/transactions/reverseLoanAddon
POST /nexum/627/2022.01/transactions/reverseLoanAddon HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "IdType": "string",
  "LoanId": "string",
  "CheckNumber": "string",
  "CheckIssuer": "string",
  "Amounts": {
    "TotalAmount": 0,
    "CheckAmount": 0,
    "CashAmount": 0
  },
  "Comment": "string",
  "CommentCode": 0,
  "EffectiveDate": "string",
  "GLAccounts": {
    "ClearingAccount": "string",
    "CheckDisbursedAccount": "string",
    "ExternalAccount": "string"
  },
  "GLCodes": {
    "ClearingCode": 0,
    "CheckDisbursedCode": 0,
    "ExternalCode": 0
  },
  "Payee": {
    "PayeeLine": [
      {
        "LineValue": "string"
      }
    ]
  },
  "AuthorizationType": "string",
  "ForcePostRequested": true,
  "SourceCode": "string",
  "RecurrenceRequested": true,
  "TracerNumber": "string",
  "DraftNumber": "string",
  "Printer": {
    "PrinterId": 0,
    "Amount": 0
  }
}

reversePayLoan⁠

POST

Reverses a loan repayment transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

RecipientAccountNumberstringoptionalThe recipient account number.
RecipientIdstringoptionalThe recipient ID.
RecipientIdTypestringoptionalThe recipient ID type.
CommentstringoptionalThe text of a comment transaction.
AuthorizationTypestringoptionalThe transaction authorization type.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
PrincipalAmountnumber · floatoptionalThe principal amount.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
LoanPaymentTypestringoptionalThe loan payment type.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
PartialReversalRequestedbooleanoptionalWhether a partial reversal was requested.
OriginalTotalAmountnumber · floatoptionalThe original total amount.
OriginalConfirmationstringoptionalThe original confirmation.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
POST/nexum/{sym}/2022.01/transactions/reversePayLoan
POST /nexum/627/2022.01/transactions/reversePayLoan HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "RecipientAccountNumber": "0000000000",
  "RecipientId": "0",
  "RecipientIdType": "string",
  "PaymentAmounts": {
    "TotalAmount": "string"
  },
  "Comment": "string",
  "SourceCode": "string",
  "ForcePostRequested": true,
  "PartialReversalRequested": false,
  "OriginalTotalAmount": "string",
  "OriginalConfirmation": "0",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

GLToGLPost⁠

POST

Transfer funds between GL accounts.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DonorAccountNumberstringoptionalThe donor account number.
DonorGLCodestringoptionalThe donor GL code.
RecipientAccountNumberstringoptionalThe recipient account number.
RecipientGLCodestringoptionalThe recipient GL code.
CheckIssuerstringoptionalThe check issuer type.
CommentstringoptionalThe text of a comment transaction.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
CheckReferencestringoptionalThe check reference for the transaction.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
CalculateCheckbooleanoptionalWhether to calculate a check.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
POST/nexum/{sym}/2022.01/transactions/GLToGLPost
POST /nexum/627/2022.01/transactions/GLToGLPost HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DonorAccountNumber": "0000000000",
  "RecipientAccountNumber": "0000000000",
  "Amounts": {
    "TotalAmount": "string"
  },
  "Comment": "string",
  "SourceCode": "string"
}